grass algorithms in processing  does not work (qgis 3.4.4 grass 7.6)

2019-02-05 01:40 PM - Claas Leiner

Status: Closed

Priority: High

Assignee:

Category: Processing/GRASS

Affected QGIS version:3.4.4 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 28991

Description

The Grass algorithms in the toolbox does not work and stop with an error message.

e.g. v.buffer and v.overlay.

qgis 3.4.4 / grass 7.6 / Ubuntu 16.04.

2019-02-05T13:25:38     CRITICAL    Traceback (most recent call last):

              File "/usr/share/qgis/python/plugins/processing/algs/grass7/Grass7Algorithm.py", line 423, in processAlgorithm

              Grass7Utils.executeGrass(self.commands, feedback, self.outputCommands)

              File "/usr/share/qgis/python/plugins/processing/algs/grass7/Grass7Utils.py", line 373, in executeGrass

              startupinfo=si if isWindows() else None

             TypeError: init() got an unexpected keyword argument 'encoding'

Related issues:

Duplicates QGIS Application - Bug report # 20886: grass r.resamp.rst tool of ... Closed 2018-12-27

Associated revisions

Revision 5fca18c4 - 2019-03-05 08:09 AM - Nyall Dawson

[processing][GRASS] Fix exceptions on Python < 3.6

Fixes #21173

Revision 773964bb - 2019-03-07 01:24 AM - Nyall Dawson

[processing][GRASS] Fix exceptions on Python < 3.6

Fixes #21173

(cherry picked from commit 5fca18c4ae2c4df833fa0b687bd7e1d15ff39499)

Revision 31217611 - 2019-03-07 03:02 AM - Nyall Dawson

[processing][GRASS] Fix exceptions on Python < 3.6

Fixes #21173

(cherry picked from commit 5fca18c4ae2c4df833fa0b687bd7e1d15ff39499)
History

#1 - 2019-02-05 02:19 PM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to duplicate

#2 - 2019-02-05 02:19 PM - Jürgen Fischer

- Duplicates Bug report #20886: grass r.resamp.rst tool of qgis3.4 execute failed on linux added

#3 - 2019-02-11 07:44 PM - Luigi Pirelli

tested on master with v.overlay and v.buffer and they works correctly

#4 - 2019-03-04 02:07 PM - Marie Silvestre

I have the exact same problem.

I'm running QGIS 3.4.5 with GRASS 7.6 on Ubuntu 16.04 Xenial (I have reinstalled QGIS from the ubuntugis-ltr repository today).

I also tried with QGIS 3.4.4 with GRASS 7.2 on a Debian strech.

I have no problem running GRASS in standalone but as soon as I try to run any GRASS algo from QGIS toolbox, I get this error: init() got an unexpected

keyword argument 'encoding'

I have absolutely no idea how to solve this apart from maybe moving to Ubuntu 18 / Debian 10... or Windows...

Claas Leiner, have you solved your problem?

#5 - 2019-03-04 04:12 PM - Claas Leiner

- Status changed from Closed to Reopened

The problem persists.

My Workaroud:

Open the file

/usr/share/qgis/python/plugins/processing/algs/grass7/Grass7Utils.py

and delete every line with:

encoding="cp{}".format(Grass7Utils.getWindowsCodePage()) if isWindows() else None,

After that I can run Processing-Grass-Commands.

The problem does not seem to exist with all QGIS installation on Ubuntu. I use Ubuntu 16.04 and QGIS with unbuntugis dependencies.

Claas

#6 - 2019-03-05 08:08 AM - Nyall Dawson
- % Done changed from 0 to 100

- Status changed from Reopened to Closed

Applied in changeset commit:qgis|5fca18c4ae2c4df833fa0b687bd7e1d15ff39499.
